Update system agent configuration¶
Updates the configuration of the system agent in the current workspace.
PUT $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/system-agent-setups/{agent_id}
Before you call this API¶
Configure the regional API endpoint and authentication, and select the target workspace.
Set the operation-specific values used in the request: $AGENT_ID.
Request¶
curl -X PUT "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/system-agent-setups/$AGENT_ID" \
-H "X-API-Key: $CLOUDSIGMA_API_KEY" \
-H "X-Workspace-ID: $WORKSPACE_ID" \
-H 'Content-Type: application/json' \
-d '{
"enabled": true,
"channels": {},
"knowledge_bases": {}
}'
Request body
Parameters |
Type |
Is it required |
Description |
|---|---|---|---|
|
boolean |
Yes |
Whether to enable the system agent. |
|
object |
Yes |
Channel selection configured by channel slot key. Each item can contain |
|
object |
Yes |
Knowledge base selection configured by knowledge base slot key. Each item can contain |
|
object |
No |
Model configuration, can contain |
|
object |
No |
Project-wide configuration. |
|
object[] |
No |
Multi-package namespace scope. |
|
object |
No |
Reconciliation task configuration, including |
[] after a type denotes an array. [] in a field path denotes each item in an array.
Successful response¶
Returns 200 and the updated configuration on success.
{"code":0,"data":{"agent_id":"agent_01"}}
The response fields are as follows.
Field |
Type |
Description |
|---|---|---|
|
string |
The system agent ID of the updated configuration. |
Error response¶
{"code":2,"message":"invalid setup"}